Results 1 to 7 of 7

Thread: Airport utility

  1. #1


    Member Since
    Sep 26, 2012
    Posts
    5
    Specs:
    MBP late 2008, 2.8 ghz Core 2 Duo, 8gb OS X 10.9.5
    Airport utility
    Received this message when attempting to execute Airport Utility v5.5.3.

    You can’t use this version of the application “AirPort Utility.app” with this version of OS*X.

    Am running OSX Mavericks and don't see a later version of Airport Utility, what's that all about?

  2. #2

    osxx's Avatar
    Member Since
    Jan 19, 2008
    Location
    houston texas
    Posts
    4,695
    Specs:
    09 MBP 8GB ram 500GB HD OS 10.9 32B iPad 4 32GB iPhone 5 iOs7 2TB TC Apple TV3
    With 10.9.3 you should have Utility 6.3.2.

  3. #3

    chscag's Avatar
    Member Since
    Jan 23, 2008
    Location
    Fort Worth, Texas
    Posts
    49,099
    Specs:
    Late 2013 27" iMac, iPad 3, iPhone 6s+, iPhone 6+, 3 iPods, El Capitan
    Am running OSX Mavericks and don't see a later version of Airport Utility, what's that all about?
    That's all about you neglecting to update your software. That update is readily available from Apple.

  4. #4


    Member Since
    Sep 26, 2012
    Posts
    5
    Specs:
    MBP late 2008, 2.8 ghz Core 2 Duo, 8gb OS X 10.9.5
    Thank you gentlemen for your response. As it turns out I have Airport Utility in my applications folder version 5.5.3 and Airport Utility version 6.3.2 in the Utilities folder in applications. So, it appears I have kept up with the updates but in my the fog of my mind seeing the Airport Utility app in Applications I didn't look in Utilities. Silly me ...

  5. #5

    harryb2448's Avatar
    Member Since
    Nov 28, 2007
    Location
    Nambucca Heads Australia
    Posts
    22,255
    Specs:
    Imac 27" Retina 5K, 512GB flash memory, 3.3GHz, 16GB memory, macOS Sierra beta.
    For what it is worth Airport Utility should only be in the Utilities folder. Version 5.5.3 is for Windows and might be for Parallels, BootCamp or VM if using any of that.


    http://support.apple.com/kb/DL1391
    Hang on to those original install discs like grim death! Using OS X.7 or later make a bootable USB thumb drive before running Installer!

  6. #6


    Member Since
    Sep 26, 2012
    Posts
    5
    Specs:
    MBP late 2008, 2.8 ghz Core 2 Duo, 8gb OS X 10.9.5
    Airport Utility
    Yes, I am running Parallels for Windows, thanks for the tip ...

  7. #7

    harryb2448's Avatar
    Member Since
    Nov 28, 2007
    Location
    Nambucca Heads Australia
    Posts
    22,255
    Specs:
    Imac 27" Retina 5K, 512GB flash memory, 3.3GHz, 16GB memory, macOS Sierra beta.
    Ahh well jkiiski the older we gets................................
    Hang on to those original install discs like grim death! Using OS X.7 or later make a bootable USB thumb drive before running Installer!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. AirPort Utility not finding AirPort Extreme, etc
    By giblet_11 in forum Other Hardware and Peripherals
    Replies: 4
    Last Post: 11-30-2013, 02:19 PM
  2. installed Airport Utility 5.5.3, cannot access Airport
    By mhrovat in forum Internet, Networking, and Wireless
    Replies: 2
    Last Post: 06-23-2011, 05:59 PM
  3. Airport Utility not seeing Airport Express
    By pfish in forum Internet, Networking, and Wireless
    Replies: 0
    Last Post: 03-09-2011, 12:42 AM
  4. Airport Utility Can't Find Airport Express via Linksys Router
    By TWBuddha in forum Internet, Networking, and Wireless
    Replies: 12
    Last Post: 08-17-2009, 06:53 PM
  5. MacBook Pro can't find my airport after airport utility update
    By mllrtms in forum Internet, Networking, and Wireless
    Replies: 2
    Last Post: 07-04-2009, 05:46 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •